![TARDIM: IC Banner](./media/banner.png)
### All of time and space, *now automated and improved*.

This mod is an addon for the [TARDIM mod](https://www.curseforge.com/minecraft/mc-mods/tardim), 
and adds a way to control and manage your time (but mostly space) machine with new blocks, redstone, 
and even other mods like [ComputerCraft: Tweaked](https://tweaked.cc) or [Create](https://github.com/Creators-of-Create/Create)

### Features:
* New commands that let you ring cloister bell or list all biomes and dimensions
* Improved fuel system, which will take in any furnace fuel and won't consume buckets 
* Redstone TARDIM Input: New block that lets you execute a TARDIM command with the power of redstone! After saving a command, this block executes it every time it gets powered by redstone
* Full ComputerCraft integration
  * Digital TARDIM interface: ComputerCraft peripheral that lets you control a TARDIM using computers! Full list of methods is available in the [Javadoc](http://andrey71.me/TARDIM-ic-docs/su/a71/tardim_ic/tardim_ic/DigitalInterfacePeripheral.html) (Sorry for  that, this is the best auto-generated docs I could find for now). The peripheral supports almost all commands that the TARDIM computer panel has.
  * Peripherals for some of the TARDIM blocks that provide a few of digital interface's methods at smaller costs
* Create integration (display sources): some of the blocks will now be able to act as a display source with Create mod

### Example use-cases
* Make a dashboard to monitor fuel levels, current location, and other information on a screen in a nice way.
* Get refined control over your TARDIM, such as saving and loading locations, or setting a destination in a GUI.
* Add visual effects that activate during flight e.g. note blocks or Create mod contraptions.

The possibilities are endless, the only limit is your imagination!

### FAQ

**Is this for Fabric or Forge?**
: Both! As a Fabric player who recognises Forge's large playerbase, I support both major modloaders.
However, due to nature of development Fabric versions may get released a bit earlier.

**Can I use this in my modpack?**
: Sure, as long as you don't claim the mod as your own. A link to this mod's page would be appreciated too.

**Will there be a 1.20.1 version and beyond?**
: I am in the process of moving to 1.20, with Fabric already out and Forge in progress.
I intend to follow latest versions with TARDIM.

**I encountered a bug or have a suggestion. What do I do?**
: If you have a problem or suggestion, the best way to get them to me is through the project's Discord server.

**Do I need to install things like ComputerCraft or Create for this mod?**
: Nope! While I highly suggest you do (because digital interface is in my opinion the star of the show), 
you can enjoy a lot of TARDIM: In Control's features with only TARDIM installed. 
If you ever decide to add other optional dependencies, the relevant blocks will become available and craftable!